## dosemu 1.2.1

=== man/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#
top_builddir=..
include $(top_builddir)/Makefile.conf

LANGUAGES = ru

all: dosemu.1 dosemu.bin.1 ru/dosemu.1 ru/dosemu.bin.1

edit = sed \
	-e 's,@sysconfdir\@,$(sysconfdir),g' \
        -e 's,@prefix\@,$(prefix),g' \
        -e 's,@datadir\@,$(datadir),g' \
        -e 's,@docdir\@,$(docdir),g' \
        -e 's,@bindir\@,$(bindir),g'

%.1: %.1.in
	$(edit) $< > $@

install: all
	$(INSTALL) -d $(DESTDIR)$(mandir)/man1
	$(INSTALL) -m 0644 $(srcdir)/*.1 $(DESTDIR)$(mandir)/man1
	for i in $(LANGUAGES); do \
	    $(INSTALL) -d $(DESTDIR)$(mandir)/$$i/man1; \
	    $(INSTALL) -m 0644 $(srcdir)/$$i/*.1 $(DESTDIR)$(mandir)/$$i/man1; \
	done

clean realclean:

=== src/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#
# Makefile for DOSEMU
#
# You should do a "make" to compile and a "make install" as root to
# install DOSEMU.
#

all: default

CFILES  = emu.c dos.c dosstatic.c
OBJS    = emu.o

top_builddir=..
include $(top_builddir)/Makefile.conf
include $(REALTOPDIR)/src/Makefile.common
include $(REALTOPDIR)/src/arch/$(OS)/Makefile.main

=== setup/parser/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#
BISON = bison
LEX   = flex

#DEFINES=-DYYDEBUG=1 -DYYERROR_VERBOSE -DYYPURE -DTESTING
CFLAGS= -O2 -Wall
CFLAGS+=-DYYPURE

parser:	parser.c lex.yy.c Makefile
	$(CC) $(STATIC) $(CFLAGS) $(DEFINES) -o $@ lex.yy.c $< 

parser.c: parser.y
	$(BISON) -do $@  $<

lex.yy.c: lexer.l parser.y
	$(LEX) -i $<

clean:
	rm -f *~ parser.c parser lex.yy.c parser.h

=== src/base/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../..
include $(top_builddir)/Makefile.conf

CFILES = data.c
include $(REALTOPDIR)/src/Makefile.common

=== src/commands/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

SHELL=/bin/bash

top_builddir=../..
include $(top_builddir)/Makefile.conf

export LD=$(CC)

D:=$(BINPATH)/commands

COM1=$(D)/exitemu.com $(D)/vgaoff.com $(D)/vgaon.com $(D)/eject.com \
	$(D)/bootoff.com $(D)/booton.com \
	$(D)/ecpuon.com $(D)/ecpuoff.com \
	$(D)/uchdir.com $(D)/speed.com $(D)/ugetcwd.com \
	$(D)/system.com
COM2=$(D)/isemu.com $(D)/mgarrot.com $(D)/fossil.com
SYS=$(D)/emufs.sys $(D)/ems.sys $(D)/cdrom.sys $(D)/dumpconf.sys $(D)/aspi.sys

# --------------- begin 'tcc via dosemu' --------------------
# The below are settings to compile the stuff in 'precompiled'
# via starting DOSEMU itself and running tcc for each programm
# ( look at target 'precomp' )
#
# NOTE: This has been set up just to fit the 'maintainers' testsuite,
#       You must not run this _without_ deep dosemu knowledge
#       ... and you need not run this, because the files are precompiled.
#
# For developers:
#
#   1. have a working DOSEMU configuration in /etc/dosemu.conf
#   2. have Turbo-C installed installed in C:\TC, if you have it elsewere
#      edit the '-I' and '-L' entries in src/commands/turboc.cfg
#   3. change BOOTUP so your DOS comes to the prompt
#      ( in general skipping the a boot menu )
#   4. cd into this directory (src/commands) and do 'make precomp'
#      this should compile the *.exe in the precompile directory.
#
#CALLDOS=dos -D-a 2>/dev/null
CALLDOS=../../bin/$(DOSBIN) -D-a 2>/dev/null
COMMANDDIR=$(shell pwd -P)
BOOTUP=\P2;2\rn
GOTARGET=lredir k: linux\\fs$(COMMANDDIR)\rk:\r
DOSINVOKE='video {none} keystroke "$(BOOTUP)$(GOTARGET)COMMAND\rexitemu\r"'
DOSINVOKE_KEEP='keystroke "$(BOOTUP)$(GOTARGET)COMMAND\r"'
PD=precompiled
# --------------- end 'tcc via dosemu' --------------------

all: $(COM2) $(SYS)

dosbin: $(COM1) $(COM2) $(SYS)

$(D)/%.sys: %.S detect.h
	$(LD) $(CPPFLAGS) -traditional -Wa,-a -Wl,-Ttext,0,-e,_start16,--oformat,binary -nostdlib -s -o $*.sys $< > $*.s.out
	mv $*.sys $@
	chmod -x $@ 

$(D)/%.com: %.S detect.h
	$(LD) $(CPPFLAGS) -traditional -Wa,-a -Wl,-Ttext,100,-e,_start16,--oformat,binary -nostdlib -s -o $*.com $< > $*.s.out
	mv $*.com $@
	chmod -x $@

precomp: $(PD)/unix.exe $(PD)/cmdline.exe $(PD)/emumouse.exe \
		$(PD)/lredir.exe $(PD)/dosdbg.exe $(PD)/xmode.exe
	rm -f *.obj

$(PD)/unix.exe: unix.c msetenv.c detect.h
	$(CALLDOS) -I $(subst COMMAND,tcc unix.c msetenv.c,$(DOSINVOKE))
	mv *.exe $(PD)

$(PD)/cmdline.exe: cmdline.c msetenv.c detect.h
	$(CALLDOS) -I $(subst COMMAND,tcc cmdline.c msetenv.c,$(DOSINVOKE))
	mv *.exe $(PD)

$(PD)/emumouse.exe: emumouse.c detect.h
	$(CALLDOS) -I $(subst COMMAND,tcc emumouse.c,$(DOSINVOKE))
	mv *.exe $(PD)

$(PD)/lredir.exe: lredir.c detect.h
	$(CALLDOS) -I $(subst COMMAND,tcc lredir.c,$(DOSINVOKE))
	mv *.exe $(PD)

$(PD)/dosdbg.exe: dosdbg.c detect.h
	$(CALLDOS) -I $(subst COMMAND,tcc dosdbg.c,$(DOSINVOKE))
	mv *.exe $(PD)

$(PD)/xmode.exe: xmode.c detect.h
	$(CALLDOS) -I $(subst COMMAND,tcc xmode.c,$(DOSINVOKE))
	mv *.exe $(PD)

precomp1:
	$(CALLDOS) -I $(subst COMMAND,dir /w,$(DOSINVOKE_KEEP))

clean:
	rm -f *.o *.tmp *.out *.s
	rm -f $(COM) $(SYS) *.obj *.bak tcconfig.tc tcpick.tcp

realclean: clean


install:

=== src/env/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../..
include $(top_builddir)/Makefile.conf

CFILES=detach.c

SFILES=
ALL=$(CFILES) $(SFILES)

OBJS=$(CFILES:.c=.o)
OOBJS=bios.o
DEPENDS=$(CFILES:.c=.d)

include $(REALTOPDIR)/src/Makefile.common

all: lib

install: all

=== src/tools/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../..
include $(top_builddir)/Makefile.conf

 
CFILES=tools86.c
SFILES=
ALL=$(CFILES) $(SFILES) as86ld86.doc

OBJS=$(CFILES:.c=.o)
OOBJS=
DEPENDS=$(CFILES:.c=.d)

all: tools86

include $(REALTOPDIR)/src/Makefile.common

tools86: tools86.c
	$(CC) -O2 $< -o tools86


install: all

=== src/base/async/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf


#  src/base/misc/dyndeb.c -> ../async/dyndeb.c
#  src/base/misc/int.c -> ../async/int.c

CFILES=dyndeb.c int.c pci_bios.c

SFILES=
ALL=$(CFILES) $(SFILES)

OBJS=$(CFILES:.c=.o)
OOBJS=bios.o
DEPENDS=$(CFILES:.c=.d)

include $(REALTOPDIR)/src/Makefile.common

all: lib

install: all

=== src/base/bios/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf


CFILES=int10.c int16.c hlt.c
ALL=bios.S test.S $(CFILES)

OBJS= $(CFILES:.c=.o) bios.o
DEPENDS=$(CFILES:.c=.d)


IDIR=$(SRCPATH)/include

CPPFLAGS += -I$(SRCPATH)/env/video
export CPPFLAGS

# NOTE: currently we compile the following modules at other places:
#      int10.c in src/env/video
#
all: lib


#	NOTE: we force _whole_ generation of all tmp-files,
#	      because we came into trouble with make dependencies recently

bios.o: bios.S $(top_builddir)/src/include/config.h $(IDIR)/macros86.h $(IDIR)/memory.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -nostdlib -Wl,-Ttext,0,-e,bios_f000 -Wa,-a -traditional $< -o $@.tmp > $*.s.out
	strip -N _edata -N __bss_start -N _end -N _etext -N blaBLA $@.tmp
	mv -f $@.tmp $@

bios:	bios.o

include $(REALTOPDIR)/src/Makefile.common

clean::
	rm -f *.o *.tmp *.s *.s.out

realclean:: clean


install: all

=== src/base/init/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf




#DEFINES=-DYYDEBUG=1 -DYYERROR_VERBOSE -DYYPURE -DTESTING

CFLAGS+=-DYYPURE $(DEFINES)
CPPFLAGS+=-I$(srcdir)

# CFLAGS=-O2 -Wall -Wmissing-prototypes \
       -Wstrict-prototypes -ansi -pedantic -Wid-clash-31 -Wcast-qual
#-Wwrite-strings

CFILES = config.c dosemu_c.c global_c.c memcheck.c init.c dev_list.c
LFILES = lexer.l
YFILES = parser.y
HFILES = parsglob.h

# Insert all source- and header-files here.

ALL = $(YFILES) $(LFILES) $(CFILES) $(HFILES)

# All object-files are included here.

OBJS=parser.o lex.yy.o $(CFILES:.c=.o)

all:  lib

install:

dosemu_c.c : ../../../etc/dosemu.conf
	echo 'char dosemu_conf[] = \' > $@
	sed -e 's/^# $$_/$$_/g' \
	    -e 's/\\/\\\\/g' -e "s/'/\\\'/g" -e 's/\"/\\\"/g' \
	    -e 's/^/"/g' -e 's/$$/\\n\"\\/g' $< >> $@
	echo ';' >> $@

global_c.c : ../../../etc/global.conf
	echo 'char global_conf[] = \' > $@
	sed -e 's/^#$$_/$$_/g' \
	    -e 's/\\/\\\\/g' -e "s/'/\\\'/g" -e 's/\"/\\\"/g' \
	    -e 's/^/"/g' -e 's/$$/\\n\"\\/g' $< >> $@
	echo ';' >> $@

ifeq ($(srcdir),.)
    mkpluginhooksdir=.
else
    mkpluginhooksdir=$(REALTOPDIR)
endif

parser.y: parser.y.in
	cd ../../..; $(mkpluginhooksdir)/mkpluginhooks parser

parser.h: parser.c

parser.c : parser.y
	$(YACC) -v -do $@  $<

lexer.l: lexer.l.in
	cd ../../..; $(mkpluginhooksdir)/mkpluginhooks lexer

lex.yy.c : lexer.l parser.y parser.h
	$(LEX) -i $< 

clean::
	rm -f  parser.[ch] parser.output lex.yy.c dosemu_c.c global_c.c

# how do we generate dependencies?


include $(REALTOPDIR)/src/Makefile.common

=== src/base/serial/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf

# This is the Makefile for the serial-subdirectory of DOSEMU.
# Please send comments and bug-reports to marky@magmacom.com
# Please read the code in this directory for more information.

#The C files, include files and dependancies here.
CFILES = ser_init.c ser_irq.c ser_ports.c int14.c fossil.c
DEPENDS= ser_init.d ser_irq.d ser_ports.d int14.d fossil.d
HFILES = ser_defs.h

# Insert all source- and header-files here.
ALL = $(CFILES) $(HFILES) README.serial

# All object-files are included here.
OBJS = ser_init.o ser_irq.o ser_ports.o int14.o fossil.o

all: lib

install:

include $(REALTOPDIR)/src/Makefile.common

=== src/base/speaker/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf

# Makefile for speaker code.

ifdef X_SUPPORT
X_CFILES=X_speaker.c
endif

CFILES=speaker.c $(X_CFILES) console_speaker.c

SFILES=
ALL=$(CFILES) $(SFILES)

OBJS=$(CFILES:.c=.o)
DEPENDS=$(CFILES:.c=.d)

include $(REALTOPDIR)/src/Makefile.common

all: lib

install: all

## dosemu 1.2.2

=== Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#
# Makefile for DOSEMU
#

SHELL=/bin/bash

all: default configure src/include/config.h.in

#automatic autoconf tool rebuilds
configure: configure.ac
	autoreconf

srcdir=.
top_builddir=.
-include Makefile.conf

Makefile.conf: $(srcdir)/Makefile.conf.in $(srcdir)/configure $(srcdir)/default-configure
	@echo "Running $(srcdir)/default-configure ..."
	$(srcdir)/default-configure

default clean realclean install: config.status
	@$(MAKE) -C src $@

dosbin:
	@$(MAKE) -C src/commands dosbin

docs:
	@$(MAKE) -C src/doc all

docsinstall:
	@$(MAKE) -C src/doc install

docsclean:
	@$(MAKE) -C src/doc clean

midid:
	@$(MAKE) -C src/arch/linux/dosext/sound/midid

mididclean:
	@$(MAKE) -C src/arch/linux/dosext/sound/midid cleanall

dosemu_script:
	@$(MAKE) -C src dosemu_script

pristine distclean mrproper:  docsclean mididclean
	@$(MAKE) -C src pristine
	rm -f Makefile.conf dosemu.spec
	rm -f core `find . -name config.cache`
	rm -f core `find . -name config.status`
	rm -f core `find . -name config.log`
	rm -f src/include/config.h
	rm -f src/include/confpath.h
	rm -f src/include/plugin_*.h
	rm -f core `find . -name '*~'`
	rm -f core `find . -name '*[\.]o'`
	rm -f core `find . -name '*.d'`
	rm -f core `find . -name '*[\.]orig'`
	rm -f core `find . -name '*[\.]rej'`
	rm -f core gen*.log `find . -size 0`
	(cd setup/demudialog; make clean)
	(cd setup/parser; make clean)
	rm -rf ./dist/tmp
	rm -f man/dosemu.1 man/dosemu.bin.1 man/ru/dosemu.1 man/ru/dosemu.bin.1
	rm -rf autom4te*.cache
	$(srcdir)/mkpluginhooks clean

tar: distclean
	VERSION=`cat VERSION` && cd .. && tar czvf dosemu-$$VERSION.tgz dosemu-$$VERSION

=== setup/demudialog/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#
#USE_SLCURSES = 1  # this works buggy on some systems :-(
#DBGFLAGS = -g

CC = gcc
CPP = gcc -E
OPTIM = -O2 -Wall -fomit-frame-pointer

CFLAGS = $(OPTIM) -DLOCALE 
ifdef USE_SLCURSES
#STATIC = -static
LDFLAGS = $(DBGFLAGS)  $(STATIC) -s -L .
LDLIBS = -lslang
else
LDFLAGS = $(STATIC) -s -L .
LDLIBS = -lncurses
endif

ifdef USE_SLCURSES
	CFLAGS += -DSLANG -DCURSES_LOC="<slcurses.h>"
else
ifeq (/usr/include/ncurses/ncurses.h, $(wildcard /usr/include/ncurses/ncurses.h))
        CFLAGS += -I/usr/include/ncurses -DCURSES_LOC="<ncurses.h>"
else
ifeq (/usr/include/ncurses/curses.h, $(wildcard /usr/include/ncurses/curses.h))
        CFLAGS += -I/usr/include/ncurses -DCURSES_LOC="<ncurses/curses.h>"
else
ifeq (/usr/include/ncurses.h, $(wildcard /usr/include/ncurses.h))
        CFLAGS += -DCURSES_LOC="<ncurses.h>"
else
	CFLAGS += -DCURSES_LOC="<curses.h>"
endif
endif
endif
endif

OBJS = checklist.o menubox.o textbox.o yesno.o inputbox.o \
       util.o demudialog.o msgbox.o
SRCS = $(OBJS:.o=.c)


all: ncurses demudialog

demudialog: $(OBJS)

$(OBJS):	colors.h dialog.h

ifdef USE_SLCURSES
ncurses:
	@echo "got it"
else
ncurses:
	@x=`find /lib/ /usr/lib/ /usr/local/lib/ -maxdepth 1 -name 'libncurses.*'` ;\
	if [ ! "$$x" ]; then \
		echo -e "\007" ;\
		echo ">> Unable to find the Ncurses libraries." ;\
		echo ">>" ;\
		echo ">> You must have Ncurses installed in order" ;\
		echo ">> to use 'make menuconfig'" ;\
		echo ;\
		exit 1 ;\
	fi
endif

clean:
	rm -f core *.o *~ demudialog tried-compile

=== src/commands/Makefile ===
--- 
+++ 
@@ -8,8 +8,6 @@
 
 top_builddir=../..
 include $(top_builddir)/Makefile.conf
-
-export LD=$(CC)
 
 D:=$(BINPATH)/commands

=== src/doc/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

SUBDIRS = DANG HOWTO README


all clean install:
	@for i in $(SUBDIRS); \
	do $(MAKE) -C $$i $@; \
	done

=== src/emu-i386/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../..
include $(top_builddir)/Makefile.conf

CFILES=cpu.c ports.c do_vm86.c cputime.c


SFILES=
ALL=$(CFILES) $(SFILES)

OBJS=$(CFILES:.c=.o)
#OOBJS=bios.o
DEPENDS=$(CFILES:.c=.d)

include $(REALTOPDIR)/src/Makefile.common

all: lib

install: all

=== src/base/bios/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 #	      because we came into trouble with make dependencies recently
 
 bios.o: bios.S $(top_builddir)/src/include/config.h $(IDIR)/macros86.h $(IDIR)/memory.h
-	$(CC) $(CPPFLAGS) $(CFLAGS) -nostdlib -Wl,-Ttext,0,-e,bios_f000 -Wa,-a -traditional $< -o $@.tmp > $*.s.out
+	$(CC) $(CPPFLAGS) -nostdlib -Wl,-Ttext,0,-e,bios_f000 -Wa,-a -traditional $< -o $@.tmp > $*.s.out
 	strip -N _edata -N __bss_start -N _end -N _etext -N blaBLA $@.tmp
 	mv -f $@.tmp $@

=== src/base/misc/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf


CFILES=dosio.c ioctl.c shared.c disks.c utilities.c dos2linux.c dump.c \
	priv.c fatfs.c userhook.c zalloc.c

SFILES=
ALL=$(CFILES) $(SFILES)

OBJS=$(CFILES:.c=.o)
OOBJS=bios.o
DEPENDS=$(CFILES:.c=.d)

include $(REALTOPDIR)/src/Makefile.common

CPPFLAGS += -I.

all: lib

fatfs.o: $(srcdir)/fatfs.c fatfs_boot.h

fatfs_boot.h:	fatfs_boot.S
	$(LD) -x assembler -Wa,-a -Wl,-Ttext,7c40,-e,_start16,--oformat,binary -nostdlib -s -o $@.tmp $< > $(<F).out
	hexdump -v -e '"\n" 8/1 " 0x%02x,"' $@.tmp | sed -e 's/ 0x  ,//g' >$@.tmp2
	echo "XXX" >>$@.tmp2
	sed -e 's/,XXX//' <$@.tmp2 >$@
	rm -f $@.tmp $@.tmp2

clean::
	rm -f *.out fatfs_boot.h

install: all

=== src/base/mouse/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf

#
# This is the Makefile for the mouse-subdirectory of the DOS-emulator
# for Linux.
# $Id: Makefile,v 1.1.1.1.4.3 2004/02/28 20:11:53 bartoldeman Exp $


# The following variables may go into the Makfile in the parent-directory

DEFINES=-DCLEARDTR_SUPPORT
CFLAGS+=$(DEFINES)

# Insert all source- and header-files here.


CFILES = mouse.c mouseint.c mousevid.c gcursor.c
ifdef USE_GPM
CFILES += mouse_gpm.c
endif
DEPENDS=$(CFILES:.c=.d)
HFILES = mousevid.h
ALL = $(CFILES) $(HFILES)
OBJS = mouse.o mouseint.o mousevid.o gcursor.o
ifdef USE_GPM
OBJS += mouse_gpm.o
endif

all:  	lib

install:

include $(REALTOPDIR)/src/Makefile.common

=== src/dosext/dpmi/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf


# CC   = gcc
# INCDIR is exported from ..
#INCDIR = -I../ -I../include/
CFLAGS+= $(KERNEL) # -DWANT_WINDOWS

ALL = dpmi.c dpmi.h meminfo.c meminfo.h memory.c msdos.c vxd.c winemu.bat

OBJS = dpmi.o msdos.o meminfo.o memory.o vxd.o
DEPENDS=dpmi.d msdos.d meminfo.d memory.d vxd.d

all:  lib

clean::
	-rm -f *.com

install:

include $(REALTOPDIR)/src/Makefile.common

=== src/dosext/mfs/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf


CFILES=mfs.c mangle.c util.c dosc.c
HFILES=mfs.h mangle.h
ALL=$(CFILES) $(HFILES)

CPPFLAGS += -DDOSEMU=1 -DMANGLE=1 -DMANGLED_STACK=50

include $(REALTOPDIR)/src/Makefile.common

install: all

=== src/env/video/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf

#
# This is the Makefile for the video-subdirectory of the DOS-emulator
# for Linux.
#
# $Id: Makefile,v 1.1.1.1.4.3 2004/05/18 22:14:57 bartoldeman Exp $


# if you want to disable graphics in X, delete vgaemu.[co], vesa.[cho],
# vgaemu_inside.h, vesabios.S and vesabios.o
# you should also delete the #define XG in int10.c and sigsegv.c
ifdef X_SUPPORT
XCFILES	= X.c vgaemu.c vesa.c screen.c dacemu.c attremu.c seqemu.c crtcemu.c gfxemu.c hercemu.c instremu.c remap.c vgafonts.c
XHDRS	= X.h screen.h remap.h
XOBJS	= X.o vgaemu.o vesa.o screen.o dacemu.o attremu.o seqemu.o crtcemu.o gfxemu.o hercemu.o instremu.o remap.o vgafonts.o
endif

ifdef USE_SVGALIB
VCFILES = svgalib.c
VHDRS = svgalib.h
VOBJS = svgalib.o
endif

# This is to assemble the VESA compatible video BIOS. Shamelessly copied
# from bios/Makefile.
SFILES = vesabios.S

ASFILES = remap_asm.S vesabios_pm.S
ASOBJS  = remap_asm.o vesabios_pm.o

CFILES = miscemu.c video.c vc.c vga.c et4000.c s3.c trident.c avance.c ati.c cirrus.c \
	 matrox.c wdvga.c sis.c $(VCFILES) console.c $(XCFILES) hgc.c dualmon.c $(ASOBJS) vesabios.o
HFILES = vga.h et4000.h s3.h trident.h avance.h ati.h cirrus.h matrox.h wdvga.h sis.h $(VHDRS) terminal.h $(XHDRS)
OFILES = miscemu.o video.o vc.o vga.o et4000.o s3.o avance.o trident.o ati.o cirrus.o \
	 matrox.o wdvga.o sis.o $(VOBJS) console.o $(XOBJS) hgc.o dualmon.o terminal.o
#OBJS = $(OFILES)

ALL = $(CFILES) $(HFILES) #$(SFILES)

all: lib


#	NOTE: we force _whole_ generation of all tmp-files,
#	      because we came into trouble with make dependencies recently

vesabios.o: vesabios.S 
	$(CC) $(CPPFLAGS) -nostdlib -Wl,-Ttext,0,-e,_start16 -Wa,-a -traditional $< -o $@.tmp > $*.s.out
	strip -N _edata -N __bss_start -N _end $@.tmp
	mv -f $@.tmp $@
	chmod 644 $@

install:

include $(SRCPATH)/Makefile.common

echo::
	@echo ALL=$(ALL)
	@echo REALTOPDIR=$(REALTOPDIR)

clean::
	rm -f *.o *.tmp *.s *.s.out

realclean:: clean

=== src/plugin/demo/Makefile ===
#
# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
#
# for details see file COPYING in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf


CFILES=demo.c

SFILES=
ALL=$(CFILES) $(SFILES)

OBJS=$(CFILES:.c=.o)
DEPENDS=$(CFILES:.c=.d)

include $(REALTOPDIR)/src/Makefile.common

all: lib

install: all

## dosemu 1.4.0+svn.1828

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
+# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
 #
-# for details see file COPYING in the DOSEMU distribution
+# for details see file COPYING.DOSEMU in the DOSEMU distribution
 #
 # Makefile for DOSEMU
 #
@@ -10,12 +10,9 @@
 
 all: default configure src/include/config.h.in
 
-#automatic autoconf tool rebuilds
-configure: configure.ac
-	autoreconf
-
 srcdir=.
 top_builddir=.
+SUBDIR:=.
 -include Makefile.conf
 
 Makefile.conf: $(srcdir)/Makefile.conf.in $(srcdir)/configure $(srcdir)/default-configure
@@ -26,22 +23,22 @@
 	@$(MAKE) -C src $@
 
 dosbin:
-	@$(MAKE) -C src/commands dosbin
+	@$(MAKE) SUBDIR:=commands -C src/commands dosbin
 
 docs:
-	@$(MAKE) -C src/doc all
+	@$(MAKE) SUBDIR:=doc -C src/doc all
 
 docsinstall:
-	@$(MAKE) -C src/doc install
+	@$(MAKE) SUBDIR:=doc -C src/doc install
 
 docsclean:
-	@$(MAKE) -C src/doc clean
+	@$(MAKE) SUBDIR:=doc -C src/doc clean
 
 midid:
-	@$(MAKE) -C src/arch/linux/dosext/sound/midid
+	@$(MAKE) SUBDIR:=arch/linux/dosext/sound/midid -C src/arch/linux/dosext/sound/midid
 
 mididclean:
-	@$(MAKE) -C src/arch/linux/dosext/sound/midid cleanall
+	@$(MAKE) SUBDIR:=arch/linux/dosext/sound/midid -C src/arch/linux/dosext/sound/midid cleanall
 
 dosemu_script:
 	@$(MAKE) -C src dosemu_script

=== setup/parser/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
+# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
 #
-# for details see file COPYING in the DOSEMU distribution
+# for details see file COPYING.DOSEMU in the DOSEMU distribution
 #
 BISON = bison
 LEX   = flex

=== src/commands/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
+# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
 #
-# for details see file COPYING in the DOSEMU distribution
+# for details see file COPYING.DOSEMU in the DOSEMU distribution
 #
 
 SHELL=/bin/bash
@@ -18,6 +18,7 @@
 	$(D)/system.com
 COM2=$(D)/isemu.com $(D)/mgarrot.com $(D)/fossil.com
 SYS=$(D)/emufs.sys $(D)/ems.sys $(D)/cdrom.sys $(D)/dumpconf.sys $(D)/aspi.sys
+OBJS=$(subst $(D)/,,$(COM2:.com=.o) $(SYS:.sys=.o))
 
 # --------------- begin 'tcc via dosemu' --------------------
 # The below are settings to compile the stuff in 'precompiled'
@@ -40,7 +41,7 @@
 #
 #CALLDOS=dos -D-a 2>/dev/null
 CALLDOS=../../bin/$(DOSBIN) -D-a 2>/dev/null
-COMMANDDIR=$(shell pwd -P)
+COMMANDDIR=$(shell pwd)
 BOOTUP=\P2;2\rn
 GOTARGET=lredir k: linux\\fs$(COMMANDDIR)\rk:\r
 DOSINVOKE='video {none} keystroke "$(BOOTUP)$(GOTARGET)COMMAND\rexitemu\r"'
@@ -52,14 +53,14 @@
 
 dosbin: $(COM1) $(COM2) $(SYS)
 
-$(D)/%.sys: %.S detect.h
-	$(LD) $(CPPFLAGS) -traditional -Wa,-a -Wl,-Ttext,0,-e,_start16,--oformat,binary -nostdlib -s -o $*.sys $< > $*.s.out
-	mv $*.sys $@
+ASFLAGS += -traditional -Wa,-a > $*.s.out
+
+$(D)/%.sys: %.o
+	$(LD) -Wl,-Ttext,0,-e,_start16,--oformat,binary -nostdlib -s -o $@ $<
 	chmod -x $@ 
 
-$(D)/%.com: %.S detect.h
-	$(LD) $(CPPFLAGS) -traditional -Wa,-a -Wl,-Ttext,100,-e,_start16,--oformat,binary -nostdlib -s -o $*.com $< > $*.s.out
-	mv $*.com $@
+$(D)/%.com: %.o
+	$(LD) -Wl,-Ttext,100,-e,_start16,--oformat,binary -nostdlib -s -o $@ $<
 	chmod -x $@
 
 precomp: $(PD)/unix.exe $(PD)/cmdline.exe $(PD)/emumouse.exe \
@@ -93,13 +94,13 @@
 precomp1:
 	$(CALLDOS) -I $(subst COMMAND,dir /w,$(DOSINVOKE_KEEP))
 
-clean:
+clean::
 	rm -f *.o *.tmp *.out *.s
 	rm -f $(COM) $(SYS) *.obj *.bak tcconfig.tc tcpick.tcp
 
-realclean: clean
+realclean:: clean
 
 
 install:
 
-
+include $(REALTOPDIR)/src/Makefile.common

=== src/tools/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../..
include $(top_builddir)/Makefile.conf

CFILES=tools86.c
SFILES=
ALL=$(CFILES) $(SFILES) as86ld86.doc

OBJS=$(CFILES:.c=.o)
OOBJS=
DEPENDS=$(CFILES:.c=.d)

all: tools86

include $(REALTOPDIR)/src/Makefile.common

tools86: tools86.o
	$(LD) $(LDFLAGS) $< -o tools86


install: all

=== src/base/bios/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf

CFILES=int10.c int16.c int17.c hlt.c setup.c bios.o

all: lib

bios.o: bios.S
	$(CC) $(CPPFLAGS) -c -Wa,-a -traditional $< > $*.s.out

include $(REALTOPDIR)/src/Makefile.common

clean::
	rm -f *.s.out

=== src/base/init/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# (C) Copyright 1992, ..., 2004 the "DOSEMU-Development-Team".
+# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
 #
-# for details see file COPYING in the DOSEMU distribution
+# for details see file COPYING.DOSEMU in the DOSEMU distribution
 #
 
 top_builddir=../../..
@@ -19,7 +19,7 @@
        -Wstrict-prototypes -ansi -pedantic -Wid-clash-31 -Wcast-qual
 #-Wwrite-strings
 
-CFILES = config.c dosemu_c.c global_c.c memcheck.c init.c dev_list.c
+CFILES = config.c dosemu_c.c global_c.c memcheck.c init.c dev_list.c install.c
 LFILES = lexer.l
 YFILES = parser.y
 HFILES = parsglob.h

=== src/base/misc/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf

CFILES=hma.c ioctl.c disks.c utilities.c dos2linux.c dump.c lowmem.c \
	priv.c fatfs.c userhook.c smalloc.c dlmalloc.c fatfs_boot.o

include $(REALTOPDIR)/src/Makefile.common

clean::
	rm -f *.out

=== src/base/mouse/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf

#
# This is the Makefile for the mouse-subdirectory of the DOS-emulator
# for Linux.
# $Id: Makefile 1769 2007-05-04 05:59:48Z bartoldeman $


# The following variables may go into the Makfile in the parent-directory

DEFINES=-DCLEARDTR_SUPPORT
CFLAGS+=$(DEFINES)

# Insert all source- and header-files here.


CFILES = mouse.c mouseint.c mousevid.c gcursor.c
DEPENDS=$(CFILES:.c=.d)
HFILES = mousevid.h
ALL = $(CFILES) $(HFILES)
OBJS = mouse.o mouseint.o mousevid.o gcursor.o

all:  	lib

install:

include $(REALTOPDIR)/src/Makefile.common

=== src/base/sound/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf


CFILES = midi.c sndpcm.c nullsnd.c

all: lib

install:

include $(REALTOPDIR)/src/Makefile.common

=== src/doc/README/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf

DOCSOURCES := README.sgml README-tech.sgml configuration.sgml sound-usage.sgml
TXT = $(DOCSOURCES:.sgml=.txt)
DVI = $(DOCSOURCES:.sgml=.dvi)
HTML = $(DOCSOURCES:.sgml=.html)

SECTIONS = config SECURITY sound lredir runasuser CDROM \
	X Windows mouse mgarrot batch commands keymap dosnet Winnet

TECHSECTIONS = config-tech port-io vif newnewkbd newkbd \
	HOGTHRESHOLD priv timing pentium DANG-tech mkfatimage mkfatimage16 doc sound-tech \
	dma pic dosdebug serial recover net cpuemu mfsnls

all:    txt html

txt:    $(TXT)

html:   $(HTML)

htmls:  $(HTMLS)

tex:    $(DVI)

dvi:    $(DVI)

$(TXT): %.txt: %.sgml
#	sgml2txt 2>/dev/null $<
	$(srcdir)/../tools/doSgmlTools.pl -t $<

$(DVI): %.dvi: %.sgml
	sgmltools -b dvi $<

$(HTMLS):
	$(srcdir)../tools/doSgmlTools.pl -s $<

$(HTML): %.html: %.sgml
	$(srcdir)/../tools/doSgmlTools.pl -h $<

README.sgml: header $(SECTIONS) footer
	cat $^ > $@

README-tech.sgml: header-tech $(TECHSECTIONS) footer
	cat $^ > $@

clean:
	rm -f *.txt *.html *~ *.tex *.log *.aux *.toc *.dvi *.ps \
		README.sgml README-tech.sgml 

install: txt
	mv *.txt $(REALTOPDIR)/doc

=== src/dosext/mfs/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf


CFILES=mfs.c mangle.c util.c dosc.c lfn.c mscdex.c
HFILES=mfs.h mangle.h
ALL=$(CFILES) $(HFILES)

CPPFLAGS += -DDOSEMU=1 -DMANGLE=1 -DMANGLED_STACK=50

include $(REALTOPDIR)/src/Makefile.common

install: all

=== src/emu-i386/simx86/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf


EM86DIR=$(REALTOPDIR)/src/emu-i386/simx86
EM86FLG=-Dlinux -DDOSEMU -fgcse -fforce-addr

CFILES = trees.c interp.c cpu-emu.c modrm-gen.c codegen-x86.c fp87-x86.c \
	codegen-sim.c fp87-sim.c modrm-sim.c protmode.c sigsegv.c cpatch.c \
	memory.c tables.c
CFLAGS +=-I$(EM86DIR) $(EM86FLG)

CFLAGS +=-DNOJUMPS

SFILES=
ALL=$(CFILES) $(SFILES)

OBJS=$(CFILES:.c=.o)
DEPENDS=$(CFILES:.c=.d)

include $(REALTOPDIR)/src/Makefile.common

all: lib

install: all

## dosemu 1.4.0+svn.1999

=== Makefile ===
--- 
+++ 
@@ -49,6 +49,7 @@
 	rm -f core `find . -name config.cache`
 	rm -f core `find . -name config.status`
 	rm -f core `find . -name config.log`
+	rm -f core `find . -name configure.lineno`
 	rm -f src/include/config.h
 	rm -f src/include/confpath.h
 	rm -f src/include/plugin_*.h

=== src/commands/Makefile ===
--- 
+++ 
@@ -56,11 +56,11 @@
 ASFLAGS += -traditional -Wa,-a > $*.s.out
 
 $(D)/%.sys: %.o
-	$(LD) -Wl,-Ttext,0,-e,_start16,--oformat,binary -nostdlib -s -o $@ $<
+	$(LD) $(LDFLAGS) -Wl,-Ttext,0,-e,_start16,--oformat,binary -nostdlib -s -o $@ $<
 	chmod -x $@ 
 
 $(D)/%.com: %.o
-	$(LD) -Wl,-Ttext,100,-e,_start16,--oformat,binary -nostdlib -s -o $@ $<
+	$(LD) $(LDFLAGS) -Wl,-Ttext,100,-e,_start16,--oformat,binary -nostdlib -s -o $@ $<
 	chmod -x $@
 
 precomp: $(PD)/unix.exe $(PD)/cmdline.exe $(PD)/emumouse.exe \

=== src/plugin/commands/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf


CFILES=commands.c lredir.c xmode.c emumouse.c dosdbg.c msetenv.c \
       unix.c cmdline.c builtins.c blaster.c

SFILES=generic.S
ALL=$(CFILES) $(SFILES)

OBJS=$(CFILES:.c=.o)
DEPENDS=$(CFILES:.c=.d) $(SFILES:.S=.d)

D:=$(BINPATH)/commands

COM = $(D)/generic.com
STUBSYMLINK = $(D)/bootoff.com $(D)/booton.com $(D)/ecpuon.com $(D)/ecpuoff.com $(D)/eject.com \
  $(D)/exitemu.com $(D)/speed.com $(D)/system.com $(D)/uchdir.com $(D)/ugetcwd.com $(D)/cmdline.com \
  $(D)/vgaoff.com $(D)/vgaon.com $(D)/lredir.com $(D)/emumouse.com $(D)/xmode.com $(D)/dosdbg.com \
  $(D)/unix.com $(D)/blaster.com $(D)/dpmi.com

#STUBL = $(D)/lredir.com $(D)/emumouse.com $(D)/xmode.com $(D)/dosdbg.com $(D)/unix.com
STUBL =
#STUBFULL = $(D)/cmdline.com
STUBFULL =

all: lib $(COM) stubs

stubs: $(STUBL) $(STUBM) $(STUBFULL) stublinks

stublinks: $(STUBSYMLINK)

ifdef REALTOPDIR
include $(REALTOPDIR)/src/Makefile.common
endif



$(STUBL): $(D)/generic.com ./mkcomstub
	./mkcomstub $(D)/generic.com $@ $(basename $(@F)) 512 0x400

$(STUBM): $(D)/generic.com ./mkcomstub
	./mkcomstub $(D)/generic.com $@ $(basename $(@F))

$(STUBSYMLINK): $(D)/generic.com
	ln -sf $(<F) $@

$(STUBFULL): $(D)/generic.com ./mkcomstub
	./mkcomstub $(D)/generic.com $@ $(basename $(@F))

%.o: %.S
	$(CC) $(CPPFLAGS) -traditional -Wa,-a -c -o $@ $< > $*.s.out

$(D)/%.com: %.o
	$(LD) $(LDFLAGS) -Wl,-Ttext,0x100,-e,_start16,--oformat,binary -nostdlib -s -o $@ $<
	chmod -x $@

install: all

clean::
	rm -f *~ *.o *.s *.out *.d *.com mkcomstub

=== src/plugin/term/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../..
include $(top_builddir)/Makefile.conf

CFLAGS+=$(DL_CFLAGS)
CPPFLAGS+=$(SLANGINC)
CFILES=term_core.c terminal.c keyb_slang.c mouse_xterm.c

SFILES=
ALL=$(CFILES) $(SFILES)

OBJS=$(CFILES:.c=.o)
OOBJS=
DEPENDS=$(CFILES:.c=.d)

ifdef USE_DL_PLUGINS
all: $(BINPATH)/bin/libplugin_term.so $(LIB)
endif

include $(REALTOPDIR)/src/Makefile.common

MAPS=
ifdef USE_APBUILD
CPPFLAGS+=-DUSE_RELAYTOOL
MAPS+=partial.map
SLANGLIB:=`relaytool --partial-map partial.map --relay slang \
--multilink libslang.so.2 libslang-2.so.2 \
libslang.so.1-UTF8 libslang-utf8.so.1 libslang.so.1 $(SLANGLIB)`

partial.map: $(OBJS)
	nm $(OBJS) | LC_ALL=C grep SL | LC_ALL=C sort | LC_ALL=C uniq | \
	  LC_ALL=C sed -e 's/ *U \(SL[^_]*_[a-z0-9].*\)/F \1/' \
	               -e 's/ *U \(SL[^_]*_[A-Z0-9].*\)/V \1/' > $@
	echo 'F SLsmg_write_nwchars' >> $@
endif

ifdef USE_DL_PLUGINS
$(BINPATH)/bin/libplugin_term.so: $(OBJS) $(MAPS)
	$(CC) $(LDFLAGS) -shared -o $@ $(OBJS) $(SLANGLIB)
	$(AR) crs $(LIB)
endif

install: all

clean::
	rm -f partial.map libslang*.stub.*

=== debian/changelog ===
dosemu (1.4.0+svn.1999-2) unstable; urgency=low

  * {rules,control}: switch to dpkg-source 3.0 (quilt) format and dh7.
  * patches/debianize.patch: cleaned up more.
  * patches/spelling-fixes.patch: fix spelling errors pointed out by lintian.
  * patches/manpage-dashes.patch: clean up manpage minus-not-dash errors.
  * dosemu.desktop: drop "Encoding".

 -- Kees Cook <kees@debian.org>  Sun, 20 Jun 2010 20:49:16 -0700

dosemu (1.4.0+svn.1999-1) unstable; urgency=low

  * New upstream version, exported from svn r1999 (Closes: 566595):
    - fix PentiumII use of SSE causing SIGILL.
    - fix CIFS and large file support problems.
  * debian/rules: tweak get-orig-source slightly for better dir name.

 -- Kees Cook <kees@debian.org>  Fri, 29 Jan 2010 10:00:09 -0800

dosemu (1.4.0+svn.1997-1) unstable; urgency=low

  * New upstream version, exported from svn r1997 (Closes: 505247):
    - 04_socalled.diff: dropped, taken upstream (r1907).
    - 05_typos351016.diff: dropped, taken upstream (r1908).
    - 06_case16.diff: dropped, fixed upstream (r1869).
    - 07_next.diff: dropped, taken upstream (r1871).
    - debian/midid.1: dropped, taken upstream (r1872).
  * debian/README.source: added CDBS patching boiler-plate documentation.
  * debian/control:
    - update standards version.
    - make myself maintainer, many thanks to Bart Martens for all the
      great dosemu work!
  * debian/rules: add get-orig-source target for easy svn export, and
    drop debian/README.Debian-source.

 -- Kees Cook <kees@debian.org>  Mon, 14 Dec 2009 19:54:21 -0800

dosemu (1.4.0+svn.1828-3) unstable; urgency=low

  * debian/patches/06_case16.diff: Added.
    Solves crash on AMD Phenom(tm) 9550 processor.  Closes: #524395.
    Patch by Hans Bausewein <hans.bausewein@xs4all.nl>, thanks.
  * debian/patches/07_next.diff: Added.
    Fixes memory allocation issue in handling of xms.  Closes: #494082.
    Patch by Margarita Manterola <margamanterola@gmail.com>, thanks.
  * debian/midid.1, debian/manpages: Added.  Closes: #352266.
    Man page written by Francois Wendling <frwendling@free.fr>, thanks.
  * debian/control: Replaced obsolete xutils in Build-Depends.
  * Fixed debian-copyright-file-uses-obsolete-national-encoding. 

 -- Bart Martens <bartm@debian.org>  Sat, 18 Apr 2009 15:57:38 +0200

dosemu (1.4.0+svn.1828-2) unstable; urgency=low

  * debian/control: Removed dpatch from Build-Depends.
  * debian/menu: Updated for changes in menu policy.
  * debian/rules: No longer installing empty directory.
  * Binary package for architecture amd64.  Closes: #442863.

 -- Bart Martens <bartm@debian.org>  Sun, 03 Feb 2008 09:40:37 +0100

dosemu (1.4.0+svn.1828-1) unstable; urgency=low

  * New upstream version, exported from upstream svn, revision 1828.
  * Includes upstream svn revision 1827, closes: #428578.
  * debian/README.Debian-source: Updated.
  * debian/patches/01_debianize.diff: Updated.
  * debian/control: Added architecture amd64.  Closes: #426920.
  * debian/dirs, debian/rules: Install autoexec.bat and config.sys in
    /etc/dosemu/freedos.  Closes: #429613.

 -- Bart Martens <bartm@knars.be>  Tue, 19 Jun 2007 11:15:48 +0200

dosemu (1.4.0-2) unstable; urgency=low

  * debian/rules: Fix dangling symlink.  Closes: #426856.

 -- Bart Martens <bartm@knars.be>  Thu, 31 May 2007 19:00:44 +0200

dosemu (1.4.0-1) unstable; urgency=low

  * New upstream stable release.  Closes: #352100.
  * debian/*: Switch to cdbs.
  * debian/*: Merging with dosemu-freedos and xfonts-dosemu.
  * debian/control, debian/rules, debian/install: Using imagemagick to resize
    dosemu.xpm to dosemu32x24.xpm for use in debian/menu.
  * debian/copyright: Updated.
  * debian/dosemu.postinst, debian/postrm, debian/preinst: Removed.
  * debian/etc/dosemu.users: Removed.
  * debian/menu: Updated.
  * debian/oldpatches/*: Old patches to be deleted or reused.
  * debian/patches/01_debianize.diff: Added.
  * Removed obsolete patches from debian/patches: 01gcc-4.0, 02slang2,
    06dosemu-dosdrive_d, 07toofast, 08charsets, 09mkdir, 10missingdos,
    11copying, 12patch389878.
  * debian/README.Debian: Edited to delete some obsolete parts.
  * debian/README.Debian-source: Added to explain the .orig.tar.gz file.

 -- Bart Martens <bartm@knars.be>  Wed, 30 May 2007 08:39:17 +0200

dosemu (1.2.2-9) unstable; urgency=low

  * debian/dirs, debian/dosemu.bug, debian/rules: No longer installing the
    reportbug helper, undoing #366208.
  * debian/patches/03dosemu_desktop.dpatch, debian/patches/00list,
    debian/dosemu.desktop, debian/rules: Replaced the dpatch by the plain file
    debian/dosemu.desktop.
  * debian/dosemu.desktop: Fixed.  Closes: #401239.  Patch by Pino Toscano
    <toscano.pino@tiscali.it>, thanks.

 -- Bart Martens <bartm@knars.be>  Fri, 16 Mar 2007 17:04:12 +0100

dosemu (1.2.2-8) unstable; urgency=low

  * debian/control: Fixed typo in "Recommends: xfonts-utils".
  * debian/rules, debian/control: Update config.guess and config.sub.

 -- Bart Martens <bartm@knars.be>  Sat, 25 Nov 2006 12:35:41 +0100

dosemu (1.2.2-7) unstable; urgency=low

  * debian/control: Changed "Depends: xbase-clients (>= 3.3.3.1-5) | xutils,
    xbase-clients (<< 4.0) | xutils" to "Recommends: xfonts-utils".
    Closes: #399620.

 -- Bart Martens <bartm@knars.be>  Tue, 21 Nov 2006 11:01:07 +0100

dosemu (1.2.2-6) unstable; urgency=low

  * debian/patches/12patch389878.dpatch: Added.  Closes: #389878.
  * debian/patches/patch352572.diff: Removed.  Was not used.

 -- Bart Martens <bartm@knars.be>  Thu,  9 Nov 2006 18:52:08 +0100

dosemu (1.2.2-5) unstable; urgency=low

  * debian/control: Build-depends libxt-dev.  Closes: #370021.
  * debian/rules: Use autoconf.
  * configure.ac: Added -L/usr/X11R6/lib to LDFLAGS.

 -- Bart Martens <bartm@knars.be>  Sun,  4 Jun 2006 13:20:29 +0200

dosemu (1.2.2-4) unstable; urgency=low

  * debian/control: Build-depend on newer debhelper version and on
    xfonts-utils, for the new font location /usr/share/fonts/X11.


=== debian/control ===
Source: dosemu
Section: contrib/otherosfs
Priority: optional
Maintainer: Kees Cook <kees@debian.org>
Standards-Version: 3.8.4
Build-Depends: autoconf, bin86, bison, bsdmainutils, debhelper (>= 7.0.50~), flex, libx11-dev, libxext-dev, libxxf86vm-dev, libice-dev, libslang2-dev, xfonts-utils, libxt-dev, autotools-dev, imagemagick, libgpmg1-dev, libasound2-dev, libsndfile1-dev, libsdl1.2-dev
Homepage: http://www.dosemu.org/

Package: dosemu
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: dosemu-freedos, xfonts-dosemu
Replaces: dosemu-freedos, xfonts-dosemu
Provides: dosemu-freedos, xfonts-dosemu
Description: The Linux DOS Emulator
 DOSEMU is a PC Emulator application that allows Linux to run a DOS
 operating system in a virtual x86 machine. This allows you to run
 many DOS applications.
  - Color text and full keyboard emulation (via hotkeys) via terminal.
  - Built-in X support, includes IBM character set font.
  - Graphics capability at the console with most compatible video cards.
  - DPMI support so you can run DOOM.
  - CDROM support.
  - Builtin IPX and pktdrvr support.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -O--parallel -- \
		--libdir=/usr/lib \
		--mandir=/usr/share/man \
		--docdir=/usr/share/doc/dosemu \
		--sysconfdir=/etc/dosemu \
		--with-x11fontdir=/usr/share/fonts/X11/misc/dosemu \
		--with-syshdimagedir=/var/lib/dosemu \
		--with-fdtarball=dosemu-freedos-1.0-bin.tgz \

override_dh_auto_install:
	dh_auto_install -O--parallel
	# create correctly-sized xpm
	[ -e etc/dosemu32x24.xpm ] || \
	convert -resize 32x24 etc/dosemu.xpm etc/dosemu32x24.xpm
	# clean up redundant documentation
	rm -f debian/dosemu/usr/lib/dosemu/drive_z/doc/copying
	rm -f debian/dosemu/usr/lib/dosemu/drive_z/doc/*/copying
	rm -f debian/dosemu/usr/lib/dosemu/drive_z/doc/*/copying.txt
	rm -f debian/dosemu/usr/lib/dosemu/drive_z/doc/*/license.txt
	rm -f debian/dosemu/usr/lib/dosemu/drive_z/doc/exe2bin/exe2bin.txt
	# reloate freedos docs
	mkdir -p debian/dosemu/usr/share/doc/dosemu
	mv debian/dosemu/usr/lib/dosemu/drive_z/doc debian/dosemu/usr/share/doc/dosemu/freedos
	rmdir debian/dosemu/usr/share/doc/dosemu/freedos/exe2bin
	# back to documentation
	ln -s ../../../share/doc/dosemu/freedos debian/dosemu/usr/lib/dosemu/drive_z/doc
	# set up common files and symlinks
	mv debian/dosemu/usr/lib/dosemu/drive_z/autoexec.bat debian/dosemu/etc/dosemu/freedos/
	ln -s ../../../../etc/dosemu/freedos/autoexec.bat debian/dosemu/usr/lib/dosemu/drive_z/autoexec.bat
	mv debian/dosemu/usr/lib/dosemu/drive_z/config.sys debian/dosemu/etc/dosemu/freedos/
	ln -s ../../../../etc/dosemu/freedos/config.sys debian/dosemu/usr/lib/dosemu/drive_z/config.sys

clean:
	dh $@ --parallel
	rm -f src/commands/.s.out
	rm -f etc/dosemu32x24.xpm

VERSION=$(shell  dpkg-parsechangelog | grep ^Version | cut -d+ -f1 | cut -d\  -f2)
SVN_RELEASE=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f2 | cut -d. -f2 | cut -d- -f1)
ORIG_FILE=$(CURDIR)/../dosemu_$(VERSION)+svn.$(SVN_RELEASE).orig.tar.gz
SVN_CO_DIR=$(CURDIR)/dosemu-$(VERSION)+svn.$(SVN_RELEASE)
get-orig-source:
	test ! -e $(ORIG_FILE)
	test ! -e $(SVN_CO_DIR)
	svn co -r $(SVN_RELEASE) https://dosemu.svn.sourceforge.net/svnroot/dosemu/trunk $(SVN_CO_DIR)
	cp -a $(CURDIR)/dosemu-freedos-1.0-*.tgz $(SVN_CO_DIR)
	tar czf $(ORIG_FILE) -C `dirname $(SVN_CO_DIR)` --exclude .svn `basename $(SVN_CO_DIR)`
	rm -rf $(SVN_CO_DIR)

## dosemu 1.4.0+svn.2010

=== debian/changelog ===
dosemu (1.4.0+svn.2010-1) unstable; urgency=low

  * New upstream version, exported from svn r2008:
    - DPMI cleanups (Closes: 626328, 622632).

 -- Kees Cook <kees@debian.org>  Thu, 12 May 2011 02:28:22 -0700

dosemu (1.4.0+svn.2008-1) unstable; urgency=low

  * New upstream version, exported from svn r2008.
  * add debian/patches/force-vm86-emu.patch: kick $_cpu_emu up to "vm86" so
    dosemu will run on a system with mmap_min_addr > 0 (Closes: 569754).
  * update debian/patches/debianize.patch: do not build redundant mkfatimage.
  * add debian/doc-base.{freecom,cmd}: add doc-base files for HTML docs.
  * debian/rules: update for freedos orig-file split-up.
  * debian/control: standard version bump, no changes needed.
  * debian/control: drop references to Etch-era package replacements.

 -- Kees Cook <kees@debian.org>  Sat, 07 May 2011 05:06:42 -0700

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,14 @@
 Section: contrib/otherosfs
 Priority: optional
 Maintainer: Kees Cook <kees@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Build-Depends: autoconf, bin86, bison, bsdmainutils, debhelper (>= 7.0.50~), flex, libx11-dev, libxext-dev, libxxf86vm-dev, libice-dev, libslang2-dev, xfonts-utils, libxt-dev, autotools-dev, imagemagick, libgpmg1-dev, libasound2-dev, libsndfile1-dev, libsdl1.2-dev
 Homepage: http://www.dosemu.org/
 
 Package: dosemu
 Architecture: i386 amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: dosemu-freedos, xfonts-dosemu
-Replaces: dosemu-freedos, xfonts-dosemu
-Provides: dosemu-freedos, xfonts-dosemu
-Description: The Linux DOS Emulator
+Description: DOS Emulator for Linux
  DOSEMU is a PC Emulator application that allows Linux to run a DOS
  operating system in a virtual x86 machine. This allows you to run
  many DOS applications.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 		--sysconfdir=/etc/dosemu \
 		--with-x11fontdir=/usr/share/fonts/X11/misc/dosemu \
 		--with-syshdimagedir=/var/lib/dosemu \
-		--with-fdtarball=dosemu-freedos-1.0-bin.tgz \
+		--with-fdtarball=freedos/dosemu-freedos-1.0-bin.tgz \
 
 override_dh_auto_install:
 	dh_auto_install -O--parallel
@@ -40,14 +40,13 @@
 	rm -f src/commands/.s.out
 	rm -f etc/dosemu32x24.xpm
 
-VERSION=$(shell  dpkg-parsechangelog | grep ^Version | cut -d+ -f1 | cut -d\  -f2)
+VERSION=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f1 | cut -d\  -f2)
 SVN_RELEASE=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f2 | cut -d. -f2 | cut -d- -f1)
-ORIG_FILE=$(CURDIR)/../dosemu_$(VERSION)+svn.$(SVN_RELEASE).orig.tar.gz
+ORIG_FILE=$(CURDIR)/../dosemu_$(VERSION)+svn.$(SVN_RELEASE).orig.tar.bz2
 SVN_CO_DIR=$(CURDIR)/dosemu-$(VERSION)+svn.$(SVN_RELEASE)
 get-orig-source:
 	test ! -e $(ORIG_FILE)
 	test ! -e $(SVN_CO_DIR)
 	svn co -r $(SVN_RELEASE) https://dosemu.svn.sourceforge.net/svnroot/dosemu/trunk $(SVN_CO_DIR)
-	cp -a $(CURDIR)/dosemu-freedos-1.0-*.tgz $(SVN_CO_DIR)
-	tar czf $(ORIG_FILE) -C `dirname $(SVN_CO_DIR)` --exclude .svn `basename $(SVN_CO_DIR)`
+	tar cjf $(ORIG_FILE) -C `dirname $(SVN_CO_DIR)` --exclude .svn `basename $(SVN_CO_DIR)`
 	rm -rf $(SVN_CO_DIR)
